Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.flex.config.xml
Class SpringSecurity3ConfigHelper

    java.lang.Object
      org.springframework.flex.config.xml.SpringSecurity3ConfigHelper

    public class SpringSecurity3ConfigHelper

extends Object

Implementation of `SpringSecurityConfigHelper` that is specific to Spring Security 3 and above.

Author:
  Jeremy Grelle

Constructor Summary
`SpringSecurity3ConfigHelper()`

Method Summary
`String` | `getAccessManagerId()`
`String` | `getAuthenticationManagerId()`
`String` | `getEndpointDefinitionSourceClassName()`
`String` | `getEndpointInterceptorClassName()`
`String` | `getLoginCommandClassName()`
`String` | `getLoginMessageInterceptorClassName()`
`String` | `getPerClientAuthenticationInterceptorClassName()`
`String` | `getSecurityConfigPostProcessorClassName()`
`String` | `getSecurityExceptionTranslatorClassName()`
`Object` | `parseConfigAttributes(String access)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringSecurity3ConfigHelper

    public SpringSecurity3ConfigHelper()

Method Detail

### getAccessManagerId

    public String getAccessManagerId()

### getAuthenticationManagerId

    public String getAuthenticationManagerId()

### getLoginMessageInterceptorClassName

    public String getLoginMessageInterceptorClassName()

### getPerClientAuthenticationInterceptorClassName

    public String getPerClientAuthenticationInterceptorClassName()

### getSecurityExceptionTranslatorClassName

    public String getSecurityExceptionTranslatorClassName()

### parseConfigAttributes

    public Object parseConfigAttributes(String access)

### getEndpointDefinitionSourceClassName

    public String getEndpointDefinitionSourceClassName()

### getEndpointInterceptorClassName

    public String getEndpointInterceptorClassName()

### getLoginCommandClassName

    public String getLoginCommandClassName()

### getSecurityConfigPostProcessorClassName

    public String getSecurityConfigPostProcessorClassName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.